Package: groovy.org.codenarc.ruleset

## [Groovy] Class RuleSetBuilder

- groovy.org.codenarc.ruleset.RuleSetBuilder

- A Builder for RuleSets. Create a RuleSet by calling the `ruleset` method, passing in a `Closure` defining the contents of the RuleSet. The `Closure` can contain any combination of the following (as well as arbitrary Groovy code):

  - `ruleset` - to load a RuleSet file. The path specifies either a Groovy file or an XML file.
  - `rule` - to load a single Rule (specify either the rule name or rule class)
  - `description` - description of the RuleSet (optional)
  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `RuleSet` | `getRuleSet()`
    `` | `void` | `ruleset(groovy.lang.Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### RuleSet getRuleSet()

    - #### void ruleset(groovy.lang.Closure closure)